import { CollectionTree } from '../models/report-builder.model';
export declare function getReportLookupSchemas(collection_root: string): CollectionTree[];
export declare function buildTree(current_root: any, schemaTree: any, lookup?: any): any[];
export declare function getLeafValueTypes(schemaTree: any, fieldPath: any): any[];
export declare function getLeafFormatTypes(schemaTree: any, fieldPath: any): any[];
export declare function mongoCommand(commandstr: string, collection: string, field?: any): Promise<any>;
